class SidebarHook  < Redmine::Hook::ViewListener

    def view_projects_show_sidebar_bottom(context = {})
        content = ''
        if context[:project]
            sidebar = SidebarContent.find_by_project_id(context[:project].id)
            if sidebar && sidebar.location == 'project'
                content = sidebar_content(sidebar, context[:project])
            end
        end
        return content
    end

    def view_issues_sidebar_issues_bottom(context = {})
        content = ''
        if context[:project]
            sidebar = SidebarContent.find_by_project_id(context[:project].id)
            if sidebar && sidebar.location == 'issues'
                content = sidebar_content(sidebar, context[:project])
            end
        end
        return content
    end

    def view_layouts_base_sidebar(context = {})
        content = ''
        if context[:project]
            sidebar = SidebarContent.find_by_project_id(context[:project].id)
            if sidebar &&
               ((sidebar.location == 'only_regexp' && (sidebar.url_regexp.blank? || context[:request].request_uri =~ Regexp.new(sidebar.url_regexp))) ||
                (sidebar.location == 'except_regexp' && (sidebar.url_regexp.blank? || !(context[:request].request_uri =~ Regexp.new(sidebar.url_regexp)))))
                content = sidebar_content(sidebar, context[:project])
            end
        end
        return content
    end

private

    def sidebar_content(sidebar, project)
        content = ''
        case sidebar.content_type
        when 'text'
            content = textilizable(sidebar.content)
        when 'wiki'
            if project && project.wiki
                page = project.wiki.find_page(sidebar.content)
                if page
                    content = textilizable(page.text)
                end
            end
        when 'html'
            content = sidebar.content
        end
        return content
    end

end
